"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ServiceProvider_1 = require("../Core/ServiceProvider");
var Configuration_1 = require("./Configuration");
var ConfigurationServiceProvider = (function (_super) {
    __extends(ConfigurationServiceProvider, _super);
    function ConfigurationServiceProvider() {
        _super.apply(this, arguments);
    }
    ConfigurationServiceProvider.prototype.boot = function (container) {
        container.register("Configuration", Configuration_1.Configuration).as(0);
    };
    ConfigurationServiceProvider.prototype.start = function (app, container) {
        var configuration = container.resolve("Configuration");
        configuration.load();
    };
    return ConfigurationServiceProvider;
}(ServiceProvider_1.ServiceProvider));
exports.ConfigurationServiceProvider = ConfigurationServiceProvider;
//# sourceMappingURL=ConfigurationServiceProvider.js.map