import { Controller } from "./Controller";
import { Request } from "../Http/Request";
import { Response } from "../Http/Response";
export declare class HttpController extends Controller {
    protected request: Request;
    protected response: Response;
    protected send: (IActionResult) => void;
    __setRequest(request: Request): void;
    __setResponse(response: Response): void;
    __setSend(send: (IActionResult) => void): void;
    protected redirect(url: string, status?: number): void;
    protected content(text: string, contentType?: string): void;
    protected json(data: {}): void;
    protected file(path: string): void;
    protected download(path: string, filename?: string): void;
    protected view(template: string, options?: {}): void;
}
