"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var ServiceProvider_1 = require("../Core/ServiceProvider");
var HttpServer_1 = require("./HttpServer");
var Router_1 = require("./Router/Router");
var HttpServiceProvider = (function (_super) {
    __extends(HttpServiceProvider, _super);
    function HttpServiceProvider() {
        _super.apply(this, arguments);
    }
    HttpServiceProvider.prototype.boot = function (container) {
        container.register("HttpServer", HttpServer_1.HttpServer).as(0);
        container.register("Router", Router_1.Router).as(0);
    };
    HttpServiceProvider.prototype.start = function (app, container) {
        var httpServer = container.resolve("HttpServer");
        httpServer.start();
    };
    return HttpServiceProvider;
}(ServiceProvider_1.ServiceProvider));
exports.HttpServiceProvider = HttpServiceProvider;
//# sourceMappingURL=HttpServiceProvider.js.map