"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var Http_1 = require("../../../ts-framework/Http");
var ControllerDecorator_1 = require("../../../ts-framework/Controller/ControllerDecorator");
var IndexController = (function (_super) {
    __extends(IndexController, _super);
    function IndexController() {
        _super.apply(this, arguments);
    }
    IndexController.prototype.index = function () {
        return this.content("\n            <!DOCTYPE html>\n            <html lang=\"en\">\n                <head>\n                    <meta charset=\"utf-8\">\n                    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">\n                    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">\n                    <title>TS-Framework</title>\n\n                    <style type=\"text/css\">\n                        body {\n                            font-family: 'Open Sans', sans-serif;\n                            text-align: center;\n                            font-weight: 400;\n                            margin: 0;\n                            color: #333;\n                        }\n                        a,\n                        a:visited {\n                            color: #1E90FF;\n                        }\n                        header {\n                            position: absolute;\n                            width: 100%;\n                            height: 100%;\n                            display: flex;\n                            align-items: center;\n                            justify-content: center;\n                        }\n                        header h1 {\n                            width: 100%;\n                            font-weight: 800;\n                            font-size: 5rem;\n                            margin: 0;\n                            margin-top: -125px;\n                        }\n                        header p {\n                            display: block;\n                            width: 100%;\n                            border-top: 1px solid #ddd;\n                            padding-top: 20px;\n                            margin-top: 0px;\n                        }\n                        footer {\n                            position: absolute;\n                            font-size: small;\n                            bottom: 0;\n                            width: 100%;\n                            margin: 0;\n                            color: #999;\n                        }\n                        header p code {\n                            color: #c7254e;\n                            background-color: #f9f2f4;\n                            padding: 4px;\n                            border-radius: 2px;\n                        }\n                        footer a {\n                            color: #59ADFF;\n                        }\n                    </style>\n                    <link href=\"https://fonts.googleapis.com/css?family=Open+Sans:400,800\" rel=\"stylesheet\" type=\"text/css\" />\n                </head>\n                <body>\n                    <header>\n                        <section>\n                            <h1>TS-Framework</h1>\n                            <p>\n                                Awesome, you're running your first TS-Framework application! <br />\n                                You're currently looking at <code>IndexController#index()</code>\n                            </p>\n                        </section>\n                    </header>\n\n                    <footer>\n                        <p>Powered by <a href=\"https://github.com/tsframework\">TS-Framework</a></p>\n                    </footer>\n                </body>\n            </html>\n        ");
    };
    __decorate([
        Http_1.action(), 
        __metadata('design:type', Function), 
        __metadata('design:paramtypes', []), 
        __metadata('design:returntype', void 0)
    ], IndexController.prototype, "index", null);
    IndexController = __decorate([
        ControllerDecorator_1.controller(), 
        __metadata('design:paramtypes', [])
    ], IndexController);
    return IndexController;
}(Http_1.HttpController));
exports.IndexController = IndexController;
//# sourceMappingURL=IndexController.js.map