"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var fs = require("fs");
var huject_1 = require("huject");
var AutoLoader_1 = require("../Core/AutoLoader");
var Application_1 = require("../Core/Application");
var Configuration = (function () {
    function Configuration() {
        this.nconf = require('nconf');
    }
    Configuration.prototype.load = function () {
        this.fixes("env", Application_1.Application.getEnvironment());
        var instance = this.nconf;
        this.autoloader.getLookupPath().forEach(function (path) {
            if (fs.existsSync(path + 'config.json')) {
                instance.file(path + 'config.json');
            }
        });
        var env = this.get("env");
        if (env) {
            this.autoloader.getLookupPath().forEach(function (path) {
                if (fs.existsSync(path + 'config."+env+".json')) {
                    instance.file(path + 'config.json');
                }
            });
        }
        this.nconf.argv();
    };
    Configuration.prototype.get = function (key) {
        return this.nconf.get(key);
    };
    Configuration.prototype.set = function (key, value) {
        this.nconf.set(key, value);
    };
    Configuration.prototype.fixes = function (key, value) {
        this.nconf.overrides({ key: value });
    };
    __decorate([
        huject_1.Inject("AutoLoader"), 
        __metadata('design:type', AutoLoader_1.AutoLoader)
    ], Configuration.prototype, "autoloader", void 0);
    return Configuration;
}());
exports.Configuration = Configuration;
//# sourceMappingURL=Configuration.js.map