"use strict";
function controller(parameters) {
    if (parameters === void 0) { parameters = null; }
    return function (constructor) {
        if (constructor.prototype.decorate == null) {
            constructor.prototype.decorate = {};
        }
        if (parameters) {
            for (var name in parameters) {
                constructor.prototype.decorate[name] = parameters[name];
            }
        }
    };
}
exports.controller = controller;
//# sourceMappingURL=ControllerDecorator.js.map