/// <reference path="../../../../typings/main.d.ts" />
/// <reference path="../../../../node_modules/huject/huject.d.ts" />
import { Container } from "huject";
import { Application } from "./Application";
export declare class AutoLoader {
    private application;
    private container;
    private lookupPaths;
    private serviceProviders;
    private serviceProvidersFiles;
    constructor(application: Application, container: Container);
    getLookupPath(): string[];
    addServiceProvider(serviceProvider: string): void;
    loadFile(filename: string): void;
    getServiceProviders(): any[];
    load(): void;
    boot(): void;
    start(): void;
}
