"use strict";
var ContentResult = (function () {
    function ContentResult(content, contentType) {
        this.content = content;
        this.contentType = contentType;
    }
    ContentResult.prototype.execute = function (response) {
        if (!!this.contentType) {
            response.setContentType(this.contentType);
        }
        response.sendContent(this.content);
    };
    return ContentResult;
}());
exports.ContentResult = ContentResult;
//# sourceMappingURL=ContentResult.js.map