"use strict";
var RedirectResult = (function () {
    function RedirectResult(url, status) {
        if (status === void 0) { status = 302; }
        this.url = url;
        this.status = status;
    }
    RedirectResult.prototype.execute = function (response) {
        response.redirect(this.url, this.status);
    };
    return RedirectResult;
}());
exports.RedirectResult = RedirectResult;
//# sourceMappingURL=RedirectResult.js.map